coreEngine.Helper.RampMeteringData

## Class RampMeteringALINEAData

- java.lang.Object
- - coreEngine.Helper.RampMeteringData.RampMeteringALINEAData

- All Implemented Interfaces:
    RampMeteringData, java.io.Serializable

      public class RampMeteringALINEAData
      extends java.lang.Object
      implements RampMeteringData, java.io.Serializable

  Adaptive Ramp Metering Data for ALINEA
  Author:
    Shu Liu
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.lang.String[]` | `ITEM_NAMES` List of item names
    `double` | `K_R` Regulator Parameters (mi/step)
    `double` | `max` Maximum Ramp Metering Rate (veh/h)
    `double` | `min` Minimum Ramp Metering Rate (veh/h)
    `private static long` | `serialVersionUID` serialVersionUID
    `double` | `targetDensity` Target Density (pc/mi/ln)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RampMeteringALINEAData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getItemCount()` Get number of items
    `java.lang.String` | `getItemName(int index)` Get item name at a given index
    `double` | `getItemValue(int index)` Get item value at a given index
    `void` | `setItemValue(int index, double value)` Get item value at a given index

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      serialVersionUID
      See Also:
        Constant Field Values

    - #### K_R

          public double K_R

      Regulator Parameters (mi/step)

    - #### targetDensity

          public double targetDensity

      Target Density (pc/mi/ln)

    - #### min

          public double min

      Minimum Ramp Metering Rate (veh/h)

    - #### max

          public double max

      Maximum Ramp Metering Rate (veh/h)

    - #### ITEM_NAMES

          private static final java.lang.String[] ITEM_NAMES

      List of item names

  - ### Constructor Detail

    - #### RampMeteringALINEAData

          public RampMeteringALINEAData()

  - ### Method Detail

    - #### getItemCount

          public int getItemCount()

      Get number of items
      Specified by:
        `getItemCount` in interface `RampMeteringData`
      Returns:
        number of items

    - #### getItemName

          public java.lang.String getItemName(int index)

      Get item name at a given index
      Specified by:
        `getItemName` in interface `RampMeteringData`
      Parameters:
        `index` - index of item
      Returns:
        item name at a given index

    - #### getItemValue

          public double getItemValue(int index)

      Get item value at a given index
      Specified by:
        `getItemValue` in interface `RampMeteringData`
      Parameters:
        `index` - index of item
      Returns:
        item value at a given index

    - #### setItemValue

          public void setItemValue(int index,
                                   double value)

      Get item value at a given index
      Specified by:
        `setItemValue` in interface `RampMeteringData`
      Parameters:
        `index` - index of item
        `value` - new item value